﻿Public Class frmDemo
    WithEvents bsData As New BindingSource
    Private Sub Form2_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim FileName As String = IO.Path.Combine(Application.StartupPath, "Data\Database1.accdb")
        Dim cb As New OleDb.OleDbConnectionStringBuilder With {.DataSource = FileName, .Provider = "Microsoft.ACE.OLEDB.12.0"}

        Using cn As New OleDb.OleDbConnection With {.ConnectionString = cb.ConnectionString}
            Using cmd As New OleDb.OleDbCommand With {.CommandText = "SELECT CompanyName,CompanyContact FROM Company", .Connection = cn}
                Dim dt As New DataTable
                cn.Open()
                dt.Load(cmd.ExecuteReader)
                bsData.DataSource = dt
                DataGridView1.DataSource = bsData
            End Using
        End Using
        LoadComboBox()
    End Sub
    Private Sub LoadComboBox()
        Dim dt = CType(Me.bsData.DataSource, DataTable)

        Dim colnames() As String = {"CompanyName", "CompanyContact"}
        Dim dv = _
            New DataView( _
            dt.DefaultView _
                .ToTable("Companies", True, colnames))
        ComboBox1.DisplayMember = "CompanyContact"
        ComboBox1.ValueMember = "CompanyName"
        ComboBox1.DataSource = dv

        Label1.DataBindings.Add("Text", dv, "CompanyName")
    End Sub
End Class